# lugins/osg/ColorMask.cpp File Reference

`#include "osg/ColorMask"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/ColorMask.cpp:

## Functions

bool | ColorMask_readLocalData (Object &obj, Input &fr)
bool | ColorMask_writeLocalData (const Object &obj, Output &fw)
bool | ColorMask_matchModeStr (const char *str, bool &mode)
const char * | ColorMask_getModeStr (bool mode)

## Variables

RegisterDotOsgWrapperProxy | g_ColorMaskProxy (new osg::ColorMask,"ColorMask","Object StateAttribute ColorMask",&ColorMask_readLocalData,&ColorMask_writeLocalData)

## Function Documentation

const char * ColorMask_getModeStr | ( | bool | mode | ) |

bool ColorMask_matchModeStr | ( | const char * | str,
|  | bool & | mode
| ) |

bool ColorMask_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ColorMask_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ColorMaskProxy(new osg::ColorMask,"ColorMask","Object StateAttribute ColorMask",&ColorMask_readLocalData,&ColorMask_writeLocalData)